For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sends Invoice as Base64String

UBL-TR Xml formatındaki faturanın zip halindeki string Base64 değeri göndermek için bu uç kullanılır.

post

UBL-TR Xml formatındaki faturanın zip halindeki string Base64 değeri göndermek için bu uç kullanılır.

Authorizations
HTTPRequired

API anahtar� giriniz

Body
ZIPFileBase64string · nullableOptional
TemplateUUIDstring · uuidOptional
Responses
200

Faturayı XML (UBL) olarak gönderir

UUIDstring · uuidOptional
InvoiceNumberstring · nullableOptional
post/Send/Base64String
POST /earchive/Send/Base64String HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 78

{
  "ZIPFileBase64": "text",
  "TemplateUUID": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "UUID": "123e4567-e89b-12d3-a456-426614174000",
  "InvoiceNumber": "text"
}
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/earchive/Send/Base64String", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer <API KEY>");
var body = @"{"ZIPFileBase64": "string"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/earchive/Send/Base64String',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "ZIPFileBase64": "
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated